Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net.ftp
Class FTPFileEntryParserImpl

    java.lang.Object
      org.apache.commons.net.ftp.FTPFileEntryParserImpl

All Implemented Interfaces:
  FTPFileEntryParser, FTPFileListParser

Direct Known Subclasses:
  CompositeFileEntryParser, RegexFTPFileEntryParserImpl

public abstract class FTPFileEntryParserImpl
extends Object
implements FTPFileEntryParser, FTPFileListParser

This abstract class implements both the older FTPFileListParser and newer FTPFileEntryParser interfaces with default functionality. All the classes in the parser subpackage inherit from this.

Constructor Summary
`FTPFileEntryParserImpl()` The constructor for a FTPFileEntryParserImpl object.

Method Summary
`FTPFile[]` | `parseFileList(InputStream listStream)` Deprecated. The version of this method which takes an encoding should be used.
`FTPFile[]` | `parseFileList(InputStream listStream, String encoding)` Parses an FTP server file listing and converts it into a usable format in the form of an array of `FTPFile` instances.
`List` | `preParse(List original)` This method is a hook for those implementors (such as VMSVersioningFTPEntryParser, and possibly others) which need to perform some action upon the FTPFileList after it has been created from the server stream, but before any clients see the list.
`String` | `readNextEntry(BufferedReader reader)` Reads the next entry using the supplied BufferedReader object up to whatever delemits one entry from the next.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.net.ftp.FTPFileEntryParser
`parseFTPEntry`

Constructor Detail

### FTPFileEntryParserImpl

    public FTPFileEntryParserImpl()

  The constructor for a FTPFileEntryParserImpl object.

Method Detail

### parseFileList

    public FTPFile[] parseFileList(InputStream listStream,
                                   String encoding)
                            throws IOException

  Parses an FTP server file listing and converts it into a usable format in the form of an array of `FTPFile` instances. If the file list contains no files, `null` should be returned, otherwise an array of `FTPFile` instances representing the files in the directory is returned.

  Specified by:
    `parseFileList` in interface `FTPFileListParser`
  Parameters:
    `listStream` - The InputStream from which the file list should be read.
    `encoding` - The encoding to use.
  Returns:
    The list of file information contained in the given path. null if the list could not be obtained or if there are no files in the directory.
  Throws:
    `IOException` - If an I/O error occurs reading the listStream.

### parseFileList

    public FTPFile[] parseFileList(InputStream listStream)
                            throws IOException

  Deprecated. The version of this method which takes an encoding should be used.

  Parses an FTP server file listing and converts it into a usable format in the form of an array of `FTPFile` instances. If the file list contains no files, `null` should be returned, otherwise an array of `FTPFile` instances representing the files in the directory is returned.

  Specified by:
    `parseFileList` in interface `FTPFileListParser`
  Parameters:
    `listStream` - The InputStream from which the file list should be read.
  Returns:
    The list of file information contained in the given path. null if the list could not be obtained or if there are no files in the directory.
  Throws:
    `IOException` - If an I/O error occurs reading the listStream.

### readNextEntry

    public String readNextEntry(BufferedReader reader)
                         throws IOException

  Reads the next entry using the supplied BufferedReader object up to whatever delemits one entry from the next. This default implementation simply calls BufferedReader.readLine().

  Specified by:
    `readNextEntry` in interface `FTPFileEntryParser`
  Parameters:
    `reader` - The BufferedReader object from which entries are to be read.
  Returns:
    A string representing the next ftp entry or null if none found.
  Throws:
    `IOException` - thrown on any IO Error reading from the reader.

### preParse

    public List preParse(List original)

  This method is a hook for those implementors (such as VMSVersioningFTPEntryParser, and possibly others) which need to perform some action upon the FTPFileList after it has been created from the server stream, but before any clients see the list. This default implementation is a no-op.

  Specified by:
    `preParse` in interface `FTPFileEntryParser`
  Parameters:
    `original` - Original list after it has been created from the server stream
  Returns:
    `original` unmodified.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997-2005 The Apache Software Foundation. All Rights Reserved.